@echo off
rem  SWAPSHI.BAT -- scrambles Sherlock *.shi file with DEBUG script,
rem                 for use with COMMAND.COM
rem sanity checks:

if "%2" == "" goto err1
if not exist %2.shi goto err2
 
if "%1"=="1"   goto one
if "%1"=="2"   goto two
if "%1"=="3"   goto three
if "%1"=="4"   goto four
if "%1"=="5"   goto five
if "%1"=="6"   goto six
if "%1"=="7"   goto seven
if "%1"=="8"   goto eight
if "%1"=="9"   goto nine
if "%1"=="10"  goto ten
goto err3

rem  OK, run debug to make the changes:

:one
debug %2.shi <swap0001.scr >nul
goto done

:two
debug %2.shi <swap0002.scr >nul
goto done

:three
debug %2.shi <swap0003.scr >nul
goto done

:four
debug %2.shi <swap0004.scr >nul
goto done

:five
debug %2.shi <swap0005.scr >nul
goto done

:six
debug %2.shi <swap0006.scr >nul
goto done

:seven
debug %2.shi <swap0007.scr >nul
goto done

:eight
debug %2.shi <swap0008.scr >nul
goto done

:nine
debug %2.shi <swap0009.scr >nul
goto done

:ten
debug %2.shi <swap0010.scr >nul
goto done

rem error handlers:

:err1
echo . SWAPSHI Error:
echo .
echo . You must specify a *.shi file to change without the ".shi" extension.
goto errx

:err2
echo . SWAPSHI Error:
echo .
echo . The *.shi file, %2.shi does not exist.  Try again.
goto errx

:err3
echo . SWAPSHI Error:
echo .
echo . The first parameter must be a number from 1 to 10.
:errx
echo .
echo . Usage:
echo .         SWAPSHI  n  shifile
echo .
echo .    where:
echo .         n        equals a number from 1 to 10 which chooses the DEBUG
echo .                      script to use.
echo .         shifile  equals the name of a *.shi file WITHOUT the extension.
echo .
echo . Examples:
echo .    Scramble test.shi with script SWAP0001.SCR:
echo .         SWAPSHI  1   test
echo .    Scramble temp2.shi with script SWAP0010.SCR:
echo .         SWAPSHI  10  temp2
echo .
echo . Note:
echo .    It is always a good idea to copy the file to be scrambled to a
echo .    temporary file and then set Sherlock to use the temporary file.
echo .    This way, you don't damage your original file.
:done
